Skip to Content

Order Book Data

Request URL

GET /market/public/api/v1/spot/depth

Request Parameters

NameTypeRequiredDescription
symbolSTRINGYESTrading pair
scaleINTYESPrecision, obtained from trading pair info

Response Parameters

NameTypeDescription
codeSTRINGResponse Code
msgSTRINGResponse Message
successBOOLEANSuccess Flag
dataOBJECTData Payload
data.asksARRAYAsks
data.bidsARRAYBids
data.eSTRINGTopic
data.iSTRINGPrecision
data.lastUpdateIdINTEGERLast Update Time
data.sSTRINGSymbol

Request Example

https://api.bittap.com/market/public/api/v1/spot/depth?symbolId=BTC-USDT&scale=0.01

Response Example

{ "code": "0", "data": { "asks": [//Sell orders [ "110222.23",//Price "0.76881"//Quantity ] ], "bids": [//Buy orders [ "110221.11",//Price "1.215168"//Quantity ] ], "e": "s_depth30",//Topic "i": "0.01",//Precision "lastUpdateId": 730765138,//Last update time "s": "BTC-USDT"//Trading pair }, "msg": "Request successful", "success": true }

Error Codes

Error CodeDescription
500Server Error

Code Example

Last updated on: